.style-switch-button {
  position: absolute;
  top: 0;
  left: 215px;
  width: 50px;
  height: 50px;
  background-color: rgba(0, 0, 0, .75);
  border-radius: 0 5px 5px 0;
  z-index: 1000;
  cursor: pointer
}

.style-switch-button i {
  color: #fff;
  position: relative;
  line-height: 1;
  top: 15px;
  left: 15px;
  font-size: 20px;
  -webkit-animation: spinner 2s linear infinite;
  animation: spinner 2s linear infinite
}

.cursor {
  margin: 0;
  list-style-type: none;
  padding-top: 15px;
  display: flex;
  align-items: center;
  justify-content: center
}

.cursor li:nth-child(1) a {
  width: 30px;
  height: 30px;
  border-radius: 100%;
  border: 2px solid #fff;
  position: relative;
  display: inline-block
}

.switch {
  width: 40px;
  height: 40px;
  border-radius: 50%;
  cursor: pointer;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: auto;
  color: #fff;
  font-size: 18px;
  background: #ff651c
}

.switch i {
  color: #fff
}

.mouse-cursor {
  position: fixed;
  left: 0;
  top: 0;
  pointer-events: none;
  border-radius: 50%;
  -webkit-transform: translateZ(0);
  transform: translateZ(0);
  visibility: hidden
}

.cursor-inner {
  margin-left: -3px;
  margin-top: -3px;
  width: 6px;
  height: 6px;
  z-index: 1000;
  background-color: #ff651c;
  -webkit-transition: width .3s ease-in-out, height .3s ease-in-out, margin .3s ease-in-out, opacity .3s ease-in-out;
  transition: width .3s ease-in-out, height .3s ease-in-out, margin .3s ease-in-out, opacity .3s ease-in-out
}

.cursor-outer {
  margin-left: -15px;
  margin-top: -15px;
  width: 30px;
  height: 30px;
  border: 2px solid #ff651c;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  z-index: 1000;
  opacity: .5;
  -webkit-transition: all .08s ease-out;
  transition: all .08s ease-out
}

.gaspar[data-magic-cursor=hide] .mouse-cursor {
  display: none;
  opacity: 0;
  visibility: hidden;
  position: absolute;
  z-index: -1111
}

@-webkit-keyframes spinner {
  0% {
    -webkit-transform: rotate(0);
    transform: rotate(0)
  }

  to {
    -webkit-transform: rotate(1turn);
    transform: rotate(1turn)
  }
}

@keyframes spinner {
  0% {
    -webkit-transform: rotate(0);
    transform: rotate(0)
  }

  to {
    -webkit-transform: rotate(1turn);
    transform: rotate(1turn)
  }
}
